Loading...
Searching...
No Matches
caf::detail::is_iterable< T > Class Template Reference

Checks whether T has begin() and end() member functions returning forward iterators. More...

`#include <type_traits.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<class T>
class caf::detail::is_iterable< T >

Checks whether T has begin() and end() member functions returning forward iterators.

## Member Data Documentation

## value

template<class T>

bool caf::detail::is_iterable< T >::value

static constexpr

Initial value:
= is_primitive<T>::value == false
&& std::is_same<bool, result_type>::value

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_traits.hpp